<template>
  <nav class="d-flex nav p-30">
    <div class="d-flex div-logo">
      <img
        class="logo"
        src="../../assets/svg/icons/food-basket.svg"
        alt="food basket"
      />
      <router-link to="/"><h1><b class="blight">H</b>elp your meal</h1></router-link>
    </div>

    <ul class="d-flex flex-row">
      <template v-if="isAuthenticated">
        <li>
          <router-link class="p-10 link" to="/dashboard">Liste</router-link>
        </li>

        <li @click="emit('logout')" class="p-10 link logout">Déconnexion</li>
      </template>

      <template v-else>
        <li>
          <router-link class="p-10 link" to="/register">Inscription</router-link>
        </li>
        <li>
          <router-link class="p-10 link" to="/login">Connexion</router-link>
        </li>
        <li>
          <router-link class="p-10 link" to="/about">À Propos</router-link>
        </li>
      </template>
    </ul>
  </nav>
</template>

<script setup lang="ts">
defineProps<{
  isAuthenticated: boolean;
}>();

const emit = defineEmits<{
  (e: "logout"): void;
}>();
</script>

<style scoped lang="scss">
.nav {
  justify-content: space-between;
  align-items: center;
}

@media screen and (max-width: 555px) {
  .d-flex {
    flex-direction: column;
  }
}

.div-logo {
  align-items: center;
}

ul {
  display: flex;
  align-items: center;
}

li {
  cursor: pointer;
}

.logout:hover {
  color: #c23616;
}
</style>
